︠75be1b9d-f71f-49cc-8c7a-e325e3d79b88︠
#auto
# -*- coding: utf-8 -*-

var('u,v')
html("<h1>Solids of Revolution (x and y axis)</h1>")
html("<h2>Disk method</h2>")

@interact
def _(krivka=selector(["First Example (První příklad): 01a","Second Example (Druhý příklad): 01b","Third Example (Třetí příklad): 02c"], label="Curve (Křivka)", nrows=3, ncols=1, buttons=True),
      #a=slider(0, 3, step_size=1, default=0, label="Lower Limit (Dolní mez)"),
      #b=slider(4,10, step_size=1, default=4, label="Upper Limit (Horní mez)"),
      rotace=slider(0,360, step_size=1, default=220, label="Rotation in Degrees (Rotace ve stupních)"),
      #auto_update=False,
      ):
  #tachyon=("Raytrace", False)
  pet=krivka[0:1]
  if pet == "F":
      f(x)=sqrt(3+x)
      popisek="\sqrt{3+x}"
      a=-1
      b=3
  elif pet == "S":
      f(x)=sqrt((x-2)/(2*x+1))
      popisek="\sqrt{(x-2)/(2x+1)}"
      a=2
      b=3
  elif pet == "T":
      f(x)=sqrt((2-x)/(3+2*x))
      popisek="\sqrt{(2-x)/(3+2x)}"
      a=1
      b=2
  horniv=rotace/360*2*pi
  # neviditelné
  
  html("$y=f(x)=%s,\quad x\in<%s,%s>$"%(popisek,a,b))
  """
  f(x)=sqrt(x)
  a=1
  b=4
  
  f(x)=x
  a=0
  b=2
  """
  
  #F(x,y)=y-f(x)
  Fx=f(x) # F(x,y)
  #Fy=y^2
  V=integral(pi*Fx^2,x,a,b)
  derx=diff(Fx,x)
  S=integral(2*pi*Fx*sqrt(1+derx^2),x,a,b)
  
  print "\nFor full rotation...\n"
  print "Vx =",V,"[units^3]"
  print "Vx = %4.4f" % (V),"[units^3]\n"
  print "Sx =",S,"[units^2]"
  print "Sx = %4.4f" % (S),"[units^2]\n"

  #print "y=f(x)=%s" % (f(x))
  #print "a=%s" % (a)
  #print "b=%s" % (b)
  
  mycurve = plot(f(x),a,b,color="orange")
  show(mycurve,aspect_ratio=1,figsize=3)
    
  #Sx=integral(2*pi*F
  #return
  #
  mypc=parametric_plot3d([u*cos(0),u*sin(0),f(u)],(u,a,b),color="orange",thickness=8)
  mypb=parametric_plot3d([u*cos(v),u*sin(v),f(u)],(u,a,b),(v,0,2*pi),color="blue", opacity=0.05)
  mysb=parametric_plot3d([u,sin(v)*f(u),cos(v)*f(u)],(u,a,b),(v,0,2*pi),color="green", opacity=0.05)
  #
  myp=parametric_plot3d([u*cos(v),u*sin(v),f(u)],(u,a,b),(v,0,horniv),color="blue")
  mys=parametric_plot3d([u,sin(v)*f(u),cos(v)*f(u)],(u,a,b),(v,0,horniv),color="green")
  #
  #myr=parametric_plot3d([u,sin(v)*g(u),cos(v)*g(u)],(u,5,6),(v,0,2*pi),color="yellow")
  show(mypb+mysb+myp+mys+mypc,aspect_ratio=1,figsize=5, viewer="jmol")
  #(mypb+mysb+myp+mys+mypc).save("moje.png",aspect_ratio=1,figsize=6,viewer="jmol")
︡8ad2e796-225d-4ae8-ad24-8873c594a22e︡{"html": "<font color='black'><h1>Solids of Revolution (x and y axis)</h1></font>"}︡{"html": "<font color='black'><h2>Disk method</h2></font>"}︡{"html": "<!--notruncate--><div padding=6 id=\"div-interact-2\"> <table width=800px height=20px bgcolor=\"#c5c5c5\"\n                 cellpadding=15><tr><td bgcolor=\"#f9f9f9\" valign=top align=left><table>\n<tr><td colspan=3><table><tr><td align=right><font color=\"black\">Curve (K\u0159ivka)&nbsp;</font></td><td><table style=\"border:1px solid #dfdfdf; background-color:#efefef;\">\n<tr><td><button style=\"border-style:inset;\" value=\"0\" onclick=\"$('BUTTON', this.parentNode).css('border-style', 'outset'); $(this).css('border-style', 'inset'); interact(2, '_interact_.update(\\'2\\', \\'krivka\\', 1, _interact_.standard_b64decode(\\''+encode64(this.value)+'\\'), globals()); _interact_.recompute(\\'2\\');')\">First Example (Prvn\u00ed p\u0159\u00edklad): 01a</button>\n</td></tr>\n<tr><td><button style=\"border-style:outset;\" value=\"1\" onclick=\"$('BUTTON', this.parentNode).css('border-style', 'outset'); $(this).css('border-style', 'inset'); interact(2, '_interact_.update(\\'2\\', \\'krivka\\', 1, _interact_.standard_b64decode(\\''+encode64(this.value)+'\\'), globals()); _interact_.recompute(\\'2\\');')\">Second Example (Druh\u00fd p\u0159\u00edklad): 01b</button>\n</td></tr>\n<tr><td><button style=\"border-style:outset;\" value=\"2\" onclick=\"$('BUTTON', this.parentNode).css('border-style', 'outset'); $(this).css('border-style', 'inset'); interact(2, '_interact_.update(\\'2\\', \\'krivka\\', 1, _interact_.standard_b64decode(\\''+encode64(this.value)+'\\'), globals()); _interact_.recompute(\\'2\\');')\">Third Example (T\u0159et\u00ed p\u0159\u00edklad): 02c</button>\n</td></tr></table></td>\n</tr><tr><td align=right><font color=\"black\">Rotation in Degrees (Rotace ve stupn\u00edch)&nbsp;</font></td><td><table><tr><td>\n        <div id=\"slider-rotace-2\" style=\"margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;\"></div>\n        </td><td><font color=\"black\" id=\"slider-rotace-2-lbl\"></font></td></tr></table><script>(function(){ var values = [\"0\",\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\",\"9\",\"10\",\"11\",\"12\",\"13\",\"14\",\"15\",\"16\",\"17\",\"18\",\"19\",\"20\",\"21\",\"22\",\"23\",\"24\",\"25\",\"26\",\"27\",\"28\",\"29\",\"30\",\"31\",\"32\",\"33\",\"34\",\"35\",\"36\",\"37\",\"38\",\"39\",\"40\",\"41\",\"42\",\"43\",\"44\",\"45\",\"46\",\"47\",\"48\",\"49\",\"50\",\"51\",\"52\",\"53\",\"54\",\"55\",\"56\",\"57\",\"58\",\"59\",\"60\",\"61\",\"62\",\"63\",\"64\",\"65\",\"66\",\"67\",\"68\",\"69\",\"70\",\"71\",\"72\",\"73\",\"74\",\"75\",\"76\",\"77\",\"78\",\"79\",\"80\",\"81\",\"82\",\"83\",\"84\",\"85\",\"86\",\"87\",\"88\",\"89\",\"90\",\"91\",\"92\",\"93\",\"94\",\"95\",\"96\",\"97\",\"98\",\"99\",\"100\",\"101\",\"102\",\"103\",\"104\",\"105\",\"106\",\"107\",\"108\",\"109\",\"110\",\"111\",\"112\",\"113\",\"114\",\"115\",\"116\",\"117\",\"118\",\"119\",\"120\",\"121\",\"122\",\"123\",\"124\",\"125\",\"126\",\"127\",\"128\",\"129\",\"130\",\"131\",\"132\",\"133\",\"134\",\"135\",\"136\",\"137\",\"138\",\"139\",\"140\",\"141\",\"142\",\"143\",\"144\",\"145\",\"146\",\"147\",\"148\",\"149\",\"150\",\"151\",\"152\",\"153\",\"154\",\"155\",\"156\",\"157\",\"158\",\"159\",\"160\",\"161\",\"162\",\"163\",\"164\",\"165\",\"166\",\"167\",\"168\",\"169\",\"170\",\"171\",\"172\",\"173\",\"174\",\"175\",\"176\",\"177\",\"178\",\"179\",\"180\",\"181\",\"182\",\"183\",\"184\",\"185\",\"186\",\"187\",\"188\",\"189\",\"190\",\"191\",\"192\",\"193\",\"194\",\"195\",\"196\",\"197\",\"198\",\"199\",\"200\",\"201\",\"202\",\"203\",\"204\",\"205\",\"206\",\"207\",\"208\",\"209\",\"210\",\"211\",\"212\",\"213\",\"214\",\"215\",\"216\",\"217\",\"218\",\"219\",\"220\",\"221\",\"222\",\"223\",\"224\",\"225\",\"226\",\"227\",\"228\",\"229\",\"230\",\"231\",\"232\",\"233\",\"234\",\"235\",\"236\",\"237\",\"238\",\"239\",\"240\",\"241\",\"242\",\"243\",\"244\",\"245\",\"246\",\"247\",\"248\",\"249\",\"250\",\"251\",\"252\",\"253\",\"254\",\"255\",\"256\",\"257\",\"258\",\"259\",\"260\",\"261\",\"262\",\"263\",\"264\",\"265\",\"266\",\"267\",\"268\",\"269\",\"270\",\"271\",\"272\",\"273\",\"274\",\"275\",\"276\",\"277\",\"278\",\"279\",\"280\",\"281\",\"282\",\"283\",\"284\",\"285\",\"286\",\"287\",\"288\",\"289\",\"290\",\"291\",\"292\",\"293\",\"294\",\"295\",\"296\",\"297\",\"298\",\"299\",\"300\",\"301\",\"302\",\"303\",\"304\",\"305\",\"306\",\"307\",\"308\",\"309\",\"310\",\"311\",\"312\",\"313\",\"314\",\"315\",\"316\",\"317\",\"318\",\"319\",\"320\",\"321\",\"322\",\"323\",\"324\",\"325\",\"326\",\"327\",\"328\",\"329\",\"330\",\"331\",\"332\",\"333\",\"334\",\"335\",\"336\",\"337\",\"338\",\"339\",\"340\",\"341\",\"342\",\"343\",\"344\",\"345\",\"346\",\"347\",\"348\",\"349\",\"350\",\"351\",\"352\",\"353\",\"354\",\"355\",\"356\",\"357\",\"358\",\"359\",\"360\"]; setTimeout(function() {\n    $('#slider-rotace-2').slider({\n        step: 1, min: 0, max: 360, value: 220,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-rotace-2-lbl').text(values[position]); interact(2, '_interact_.update(\\'2\\', \\'rotace\\', 2, _interact_.standard_b64decode(\\''+encode64(position)+'\\'), globals()); _interact_.recompute(\\'2\\');'); },\n        slide: function(e,ui) { if(values!=null) $('#slider-rotace-2-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-rotace-2-lbl').text(values[$('#slider-rotace-2').slider('value')]);\n    }, 1); })();</script></td>\n</tr></table></td></tr>\n<tr><td></td><td style='width: 100%;'><div id=\"cell-interact-2\"><?__SAGE__START>\n        <table border=0 bgcolor=\"white\" width=100%>\n        <tr><td bgcolor=\"white\" align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td><td></td></tr>\n<tr><td colspan=3></td></tr>\n</table></td>\n                 </tr></table></div>\n                 "}︡
